aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pdfgrep/APKBUILD
diff options
context:
space:
mode:
authorAndré Klitzing <aklitzing@gmail.com>2017-02-14 10:27:37 +0100
committerTimo Teräs <timo.teras@iki.fi>2017-02-14 09:44:07 +0000
commit3c9cb14bf3a43295b65492e4cc17a6df888fc6de (patch)
treed16a675f77d476d0eeb22d261fd95eed50e7f0cf /testing/pdfgrep/APKBUILD
parent56b22d0623ffb3244fe7be372330640c1ef4281e (diff)
downloadaports-3c9cb14bf3a43295b65492e4cc17a6df888fc6de.tar.gz
aports-3c9cb14bf3a43295b65492e4cc17a6df888fc6de.tar.bz2
aports-3c9cb14bf3a43295b65492e4cc17a6df888fc6de.tar.xz
testing/pdfgrep: new aport
Diffstat (limited to 'testing/pdfgrep/APKBUILD')
-rw-r--r--testing/pdfgrep/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/pdfgrep/APKBUILD b/testing/pdfgrep/APKBUILD
new file mode 100644
index 0000000000..deb3352efb
--- /dev/null
+++ b/testing/pdfgrep/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Andre Klitzing <aklitzing@gmail.com>
+# Maintainer: Andre Klitzing <aklitzing@gmail.com>
+pkgname=pdfgrep
+pkgver=2.0
+pkgrel=0
+pkgdesc="Commandline utility to search text in PDF files"
+url="https://pdfgrep.org/"
+arch="all"
+license="GPL"
+makedepends="autoconf automake pcre-dev poppler-dev libgcrypt-dev"
+subpackages="$pkgname-doc"
+source="https://pdfgrep.org/download/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="e289a5202c500a794ad4b17c4b07aa4e4592a17818010d90ffbdb1d4db5ee61557bb35ecebeee2bc7595275e27c82bbd98c68fe6148b50f0bc60296c479c578e pdfgrep-2.0.tar.gz"